| Box2D 2.3.0 A 2D Physics Engine for Games

Public Attributes | List of all members
b2RayCastInput Struct Reference

Ray-cast input data. The ray extends from p1 to p1 + maxFraction * (p2 - p1). More...

`#include <b2Collision.h>`

## Public Attributes
b2Vec2 | p1
b2Vec2 | p2
float32 | maxFraction

## Detailed Description

Ray-cast input data. The ray extends from p1 to p1 + maxFraction * (p2 - p1).

The documentation for this struct was generated from the following file:

- b2Collision.h